Discussion about: Upgrade immediately to Joomla! 1.0.11

A place to discuss recent announcements made by the Joomla! Core Team. Let's hear what you have to say.
User avatar
zuze
Joomla! Explorer
Joomla! Explorer
Posts: 290
Joined: Sat Feb 11, 2006 9:43 pm
Location: Birmingham, USA
Contact:

Re: Discussion about: Upgrade immediately to Joomla! 1.0.11

Postby zuze » Tue Aug 29, 2006 9:18 pm

RobInk wrote:Hi,

At zuze, about the issue with joomlaboard, check http://forum.joomla.org/index.php/topic,86525.0.html
Register globals emulation = 0 is causing problems with several extensions. You will find a fix in that topic.



Rob, thank you! I will definetly check that out!
The key to your life is how well you deal with plan "B".
Latvian Project http://joomlacode.org/gf/project/joomla_latvian/ | http://www.joomlalv.org

McYoda

Re: Discussion about: Upgrade immediately to Joomla! 1.0.11

Postby McYoda » Tue Aug 29, 2006 9:41 pm

Why does the admin.mambots.php-fix not help with the "Restricted Access" bug on MY site? There seems to be more to fix!?

User avatar
Lipton
Joomla! Apprentice
Joomla! Apprentice
Posts: 29
Joined: Mon Jun 19, 2006 3:32 pm
Location: Germany
Contact:

Re: Discussion about: Upgrade immediately to Joomla! 1.0.11

Postby Lipton » Tue Aug 29, 2006 10:01 pm

Beat wrote:
jazmac wrote:I'll second Joomlaboard (1.1.2) having problems w/RG emulation. I lost the ability to post messages. (Thanks for the heads up MarHaj. I hadn't gotten that far in testing.)

I also have a slight problem with Community Builder (1.0.1). The navigation on the user list (next, 1, 2, 3, etc) will only return the 1st page, even though the link's correct. I posted that issue over at Joomlapolis. All other CB functionality that I'm using seems to work fine.


Confirming CB 1.0.1 (and previous versions) problem with that front-end users-lists pager function. Problem found and fix-proposal ready for your tests (emailed and PMed you on Joomlapolis).

Looking now into the JoomlaBoard problem.



Can you please tell me what I can do to make that work again, with the userlist in CB ?

And one other question, how do I get Akocomment work again after the Update with RG 0 ? It isn´t working anymore, I have security Images running and though I found something in an other thread, it seems not to help. I always get Wrong Security Code. AkoBook doesn´t works at all after the update to 1.0.11 with RG 0. :(

Any tips for that ?

User avatar
vamba
Joomla! Guru
Joomla! Guru
Posts: 667
Joined: Thu Aug 18, 2005 2:56 pm
Location: Pontecosi
Contact:

Re: Discussion about: Upgrade immediately to Joomla! 1.0.11

Postby vamba » Tue Aug 29, 2006 10:10 pm

stingrey wrote:EDIT GLOBAL MOD
last minute small bug:
see here until package is updated
http://forum.joomla.org/index.php/topic ... #msg455550

Joomla 1.0.11 Italian front and backend (SVN 4826) not official release have this file update inside already
Last edited by vamba on Tue Aug 29, 2006 10:12 pm, edited 1 time in total.
Member of the Italian Joomla Translation Team - www.joomla.it
http://www.joomlaitalia.com

random
Joomla! Enthusiast
Joomla! Enthusiast
Posts: 222
Joined: Sat Sep 24, 2005 5:47 pm
Contact:

Re: Discussion about: Upgrade immediately to Joomla! 1.0.11

Postby random » Tue Aug 29, 2006 11:19 pm

I upgraded without a hitch everything is fine but have a couple of questions

1.) deleted found it

2.) I have the .htaccess file that RobS wrote, should I replace that? combine the two? or just keep the one that I hvae been using.

Great job as usual!

Edited to add that I see that the .htaccess file that RobS wrote has been added to the latest version.

It works great (.htaccess file,) that was the one file that I did not upload as I have not had any problems since updating the ,htaccess file.
Last edited by random on Tue Aug 29, 2006 11:35 pm, edited 1 time in total.

jules
Joomla! Apprentice
Joomla! Apprentice
Posts: 16
Joined: Mon Jan 16, 2006 5:46 am

Re: Discussion about: Upgrade immediately to Joomla! 1.0.11

Postby jules » Tue Aug 29, 2006 11:40 pm

My post is about the security considerations of Register_Globals ON.  Yep, I know it should be off, but my ISP curently has it set on.  (I know, I'm currently too tied in to my ISP to change easily). Also, as the hosters PHP is installed in cgi mode, I also can't use .htaccess files with the mod_rewrite enabled syntax so lose the additional security of that patch.

Whilst surfing the net, I cam across this piece of code:

Explanation: it will first take all global variables, and unset everything that shouldn’t be there. Do not worry about your code still being accesible for changes (i.e. info.php?_ENV[OS]=NewOS ). The PHP queue works like this: first it registers variables from GET, etc. and then it fills in the global variables _GET, _POST, etc. (I wonder why the hack they are not READ ONLY!) Therefore you will have the correct associative arrays, without any injected modification.

if (ini_get('register_globals'))
{
  foreach($GLOBALS as $s_variable_name => $m_variable_value)
  {
    if (!in_array($s_variable_name, array('GLOBALS', 'argv', 'argc', '_FILES', '_COOKIE', '_POST', '_GET', '_SERVER', '_ENV', '_SESSION', ‘_REQUEST’, ’s_variable_name’, ‘m_variable_value’)))
    {
      unset($GLOBALS[$s_variable_name]);
    }
  }
  unset($GLOBALS[’s_variable_name’]);
  unset($GLOBALS[’m_variable_value’]);
}



By the way, I doubt that this what RG_Emulation 0 does?  So can I use the above code to emulate Register_Globals OFF?  That is, insert this code in one of the libraries?


Cheers

Jules

User avatar
k4lch
Joomla! Hero
Joomla! Hero
Posts: 2789
Joined: Sat Dec 31, 2005 1:58 am
Contact:

Re: Discussion about: Upgrade immediately to Joomla! 1.0.11

Postby k4lch » Wed Aug 30, 2006 12:38 am

webgyrl wrote:If anyone else is using Fantastico:

I just did the upgrade by FTPing the files using FileZilla to my site. It upgraded fine.
For upgrade instructions go here:
http://forum.joomla.org/index.php/topic,33226.0.html


locate the fantasticoversion.php file abd edit ti the correct version number
Loyd Headrick

irampagemc
Joomla! Fledgling
Joomla! Fledgling
Posts: 2
Joined: Wed Aug 30, 2006 12:43 am

Re: Discussion about: Upgrade immediately to Joomla! 1.0.11

Postby irampagemc » Wed Aug 30, 2006 1:12 am

all the mambots i installed are not working *apart from those that came with joomla*. i applied the fixed admin.mambots.php and that still did not fix the problem. I used the upgrade 1.0.10 to 1.0.11 and not the full install, shouldn't the mambots work ?

danieln
Joomla! Intern
Joomla! Intern
Posts: 64
Joined: Mon Aug 22, 2005 2:12 am
Contact:

Re: Discussion about: Upgrade immediately to Joomla! 1.0.11

Postby danieln » Wed Aug 30, 2006 2:59 am

i got this while trying to access the module area in admin panel

Fatal error: Call to undefined function: josgetarrayints() in /home/penangpr/public_html/administrator/components/com_modules/admin.modules.php on line 28

pls help

DoomedTX
Joomla! Apprentice
Joomla! Apprentice
Posts: 8
Joined: Wed Aug 30, 2006 3:49 am

Re: 1.0.11 release warning

Postby DoomedTX » Wed Aug 30, 2006 4:05 am

infograf768 wrote:WARNING!
------------GLOBAL MOD EDIT: last minute small bug found in admin.mambots.php
While waiting for new package, find file below.

This is an official fix!



It might be worth pointing out that apparently only registered users can see the link to the file. I registered solely to post that I was having this problem and that the file didn't seem to be in infograf768's post, but after registering I can see it. I'm sure lots of people like me don't register if their questions have already been asked and answered in the forums. Perhaps the restricted link should be replaced with a regular link to reduce confusion.

User avatar
jtruelson
Joomla! Apprentice
Joomla! Apprentice
Posts: 18
Joined: Fri Aug 19, 2005 1:40 pm
Contact:

PMS and Xe-VideoGallery issues

Postby jtruelson » Wed Aug 30, 2006 4:22 am

We are running myPMS II integrated with Community Builder 1.0.1.
Post 1.0.11 upgrade PMS will display list of private messages, but will not open them.
Author's site http://www.taher-zadeh.com   appears to be offline.  CB connections tab icon tooltips no longer display (pm, email, view profle)
If emulate globals is returned to on in globals.php, PMS comes back to life.


Also running Xe-VideoGalleryV1 XL
Back end category management no longer permits unpublish or delete.



SMO Ajax Shoutbox won't send messages.

I remain confident that these issues will be resolved as they're identified.
Last edited by jtruelson on Wed Aug 30, 2006 5:36 am, edited 1 time in total.
Jon Truelson
Media Consultant

irampagemc
Joomla! Fledgling
Joomla! Fledgling
Posts: 2
Joined: Wed Aug 30, 2006 12:43 am

Re: Discussion about: Upgrade immediately to Joomla! 1.0.11

Postby irampagemc » Wed Aug 30, 2006 4:31 am

i fixed the problem i was having.
for those having the same problem, simply open the modules, and save them again, that's it!

ThunderStrucky
Joomla! Fledgling
Joomla! Fledgling
Posts: 3
Joined: Tue Aug 29, 2006 12:11 pm

Re: 1.0.11 release warning

Postby ThunderStrucky » Wed Aug 30, 2006 6:59 am

DoomedTX wrote:
infograf768 wrote:WARNING!
------------GLOBAL MOD EDIT: last minute small bug found in admin.mambots.php
While waiting for new package, find file below.

This is an official fix!



It might be worth pointing out that apparently only registered users can see the link to the file. I registered solely to post that I was having this problem and that the file didn't seem to be in infograf768's post, but after registering I can see it. I'm sure lots of people like me don't register if their questions have already been asked and answered in the forums. Perhaps the restricted link should be replaced with a regular link to reduce confusion.


I had the same problem here. I was reading where it said "find file below" and I was pulling my hair out tring to find where the file was. Then I signed up and poof, there it was.

I do have a question. I added the patch plus that other file so I should be good to go right?

Thanks

User avatar
THE_AI
Joomla! Explorer
Joomla! Explorer
Posts: 251
Joined: Sat Jun 03, 2006 4:33 pm
Contact:

Re: 1.0.11 release warning

Postby THE_AI » Wed Aug 30, 2006 7:15 am

infograf768 wrote:WARNING!
------------GLOBAL MOD EDIT: last minute small bug found in admin.mambots.php
While waiting for new package, find file below.

This is an official fix!



Isn't this file added now to the package or what?

AmyStephen

Re: Discussion about: Upgrade immediately to Joomla! 1.0.11

Postby AmyStephen » Wed Aug 30, 2006 7:26 am

@Jon - I copied your problem < http://forum.joomla.org/index.php/topic ... #msg457452 > for Websmurf and Beat to review for RG_EMULATION OFF issues. Please watch your post there. Thanks! Amy

User avatar
consigliere
Joomla! Explorer
Joomla! Explorer
Posts: 365
Joined: Fri Sep 02, 2005 10:23 pm
Location: Mazatlan, Sinaloa, Mexico
Contact:

Re: Discussion about: Upgrade immediately to Joomla! 1.0.11

Postby consigliere » Wed Aug 30, 2006 7:44 am

Just a small detail about it... In the Joomla Home page says: Joomla! 1.0.11 [ Sunbird ] is now available as...

Once installed the new package, in my Joomla site the footer admin panel says: Joomla! 1.0.11 Stable [ Sunbow ] 28 August 2006 20:00 UTC

can you notice the Sunbird and Sunbow ?

Thanks for all

AmyStephen

Re: Discussion about: Upgrade immediately to Joomla! 1.0.11

Postby AmyStephen » Wed Aug 30, 2006 7:50 am

@DanielN  The file on this post by JM: < http://forum.joomla.org/index.php/topic ... #msg455550 > should be unzipped and copied to this directory on your Joomla! website: /administrator/components/com_mambots
+++++

@McYoda - do you have an .htaccess problem? If not, please post another request for help in the UPGRADE forum. < http://forum.joomla.org/index.php/board,36.0.html > BUT, before you do, please look at the titles on the other posts -- you will probably find a good match on the first couple pages. BUT, if not, please post a request for help there. We really aren't supposed to do requests and provide help in the announcements forum (although people don't really understand and that is ok.)

+++++

@THE_AI - No. Not yet. It's been about 24 hours, if anyone is asking me MY opinion (which of course they never do! lol) I would say wait at least a few days! There are things happening and we don't want to do this every couple of days. (No worries, though, I make no decisions.) BUT - when there is one, you won't have to ask - it will be announced!

+++++

@ThunderStrucky and @DoomFX - Sorry.  :P

+++++

@Lipton please post your request for help < http://forum.joomla.org/index.php/topic ... #msg456617 > where Beat and Websmurf are focused in that area.

@Jules you would be far better off asking that question in the Security forum. Can I get you to do that, please?

@Irampagemc - Please post that in the UPGRADE forum, too (look at titles, first). < http://forum.joomla.org/index.php/board,36.0.html >
Last edited by AmyStephen on Wed Aug 30, 2006 9:19 am, edited 1 time in total.

AmyStephen

Re: Discussion about: Upgrade immediately to Joomla! 1.0.11

Postby AmyStephen » Wed Aug 30, 2006 7:54 am

@consigliere -

I am going to head to bed, but, yes, I have seen that tonight a couple of times. Can you do a search on that -- you could restrict the days to a day or two. Also, you could walk through the Upgrade forum, or 1.0.X Quality and Testing forum, or the Security forum. I remember seeing that. I can't remember why, though, sorry!

Good luck!
Amy

Found it - it's in the Q&T forum as a problem --> < http://forum.joomla.org/index.php/topic,89933.0.html >

I will PM it to you, too, since you might not be checking here anymore.
Last edited by AmyStephen on Wed Aug 30, 2006 8:14 am, edited 1 time in total.

muslimways
Joomla! Enthusiast
Joomla! Enthusiast
Posts: 186
Joined: Wed Apr 19, 2006 11:04 am
Contact:

Re: Discussion about: Upgrade immediately to Joomla! 1.0.11

Postby muslimways » Wed Aug 30, 2006 8:46 am

I got this error:

Following PHP Server Settings are not optimal for Security and it is recommended to change them:

    * PHP register_globals setting is `ON` instead of `OFF`


I had another error but managed to fix it by editing globars.php, but don't know how to fix the error above.

AmyStephen

Re: Discussion about: Upgrade immediately to Joomla! 1.0.11

Postby AmyStephen » Wed Aug 30, 2006 8:49 am

MuslimWays - Please start < http://forum.joomla.org/index.php/topic,90216.0.html > in the "Joomla! 1.0.11 Security Configuration Instructions" thread. It should get you started or point you to resource that will help you with the security configurations.

Amy :)

muslimways
Joomla! Enthusiast
Joomla! Enthusiast
Posts: 186
Joined: Wed Apr 19, 2006 11:04 am
Contact:

Re: Discussion about: Upgrade immediately to Joomla! 1.0.11

Postby muslimways » Wed Aug 30, 2006 8:50 am

oh right... thanks amy

ThunderStrucky
Joomla! Fledgling
Joomla! Fledgling
Posts: 3
Joined: Tue Aug 29, 2006 12:11 pm

Re: Discussion about: Upgrade immediately to Joomla! 1.0.11

Postby ThunderStrucky » Wed Aug 30, 2006 8:52 am

[Edited by mod: indeed off topic. More than that, it is related to private pms which should be resolved privately]

Sorry everyone about this being so off topic.
Last edited by infograf768 on Wed Aug 30, 2006 9:04 am, edited 1 time in total.

User avatar
infograf768
Joomla! Master
Joomla! Master
Posts: 18044
Joined: Fri Aug 12, 2005 3:47 pm
Location: **Translation Matters**

Re: Discussion about: Upgrade immediately to Joomla! 1.0.11

Postby infograf768 » Wed Aug 30, 2006 9:05 am

Amy, I delete your post, same as I edited former post.
What is private remains private.

Let's keep on topic please.
Jean-Marie Simonet / infograf · http://www.info-graf.fr
Multilanguage in 2.5: http://help.joomla.org/files/EN-GB_multilang_tutorial.pdf
---------------------------------
ex-Joomla Translation Coordination Team • ex-Joomla! Production Working Group

User avatar
leolam
Joomla! Master
Joomla! Master
Posts: 16485
Joined: Mon Aug 29, 2005 10:17 am
Location: Netherlands/ UK/ S'pore/Jakarta/ North America
Contact:

Re: Discussion about: Upgrade immediately to Joomla! 1.0.11

Postby leolam » Wed Aug 30, 2006 9:13 am

infograf768 wrote:Let's keep on topic please.


JM could you be so kind to emphasise on this please? (http://forum.joomla.org/index.php/topic ... #msg456522) we face loads of upgrades and if we face a new package or version very rapidly i would like to know for obvious reasons?

tnx in advance
Leo
-- Joomla Professional Support Services : https://gws-desk.com --
-- Joomla Specialized Hosting Solutions: https://gws-host.com --
-- Joomla Professional Web Development & Design :www.gws-studio.com
-- Member Joomla Bug Squad --

User avatar
infograf768
Joomla! Master
Joomla! Master
Posts: 18044
Joined: Fri Aug 12, 2005 3:47 pm
Location: **Translation Matters**

Re: Discussion about: Upgrade immediately to Joomla! 1.0.11

Postby infograf768 » Wed Aug 30, 2006 9:27 am

Rey is coming back online and will make necessary statements.

It was my personal thought that a new package would be necessary. Another decision could be taken.

[EDIT: FYI, Rey was/is cut from any internet connexion and tries to solve the issue.]
Last edited by infograf768 on Wed Aug 30, 2006 9:32 am, edited 1 time in total.
Jean-Marie Simonet / infograf · http://www.info-graf.fr
Multilanguage in 2.5: http://help.joomla.org/files/EN-GB_multilang_tutorial.pdf
---------------------------------
ex-Joomla Translation Coordination Team • ex-Joomla! Production Working Group

User avatar
leolam
Joomla! Master
Joomla! Master
Posts: 16485
Joined: Mon Aug 29, 2005 10:17 am
Location: Netherlands/ UK/ S'pore/Jakarta/ North America
Contact:

Re: Discussion about: Upgrade immediately to Joomla! 1.0.11

Postby leolam » Wed Aug 30, 2006 9:46 am

infograf768 wrote:Rey is coming back online and will make necessary statements.
It was my personal thought that a new package would be necessary. Another decision could be taken.
[EDIT: FYI, Rey was/is cut from any internet connexion and tries to solve the issue.]

I agree with your opinion. Thanks for responding. Wait for Rey
cheers
-- Joomla Professional Support Services : https://gws-desk.com --
-- Joomla Specialized Hosting Solutions: https://gws-host.com --
-- Joomla Professional Web Development & Design :www.gws-studio.com
-- Member Joomla Bug Squad --

User avatar
Shardul
Joomla! Enthusiast
Joomla! Enthusiast
Posts: 117
Joined: Sun Jul 23, 2006 1:05 am
Location: pune

Re: Discussion about: Upgrade immediately to Joomla! 1.0.11

Postby Shardul » Wed Aug 30, 2006 11:06 am

hi there..
 
  i just downloaded 1.0.11 and installed it..
 
  but i am facing the problem with 1.0.11 + VM 1.0.6 ..

its not there in 1.0.10 .

is that 1.0.11 has chage the way user login from other than front page login...
i mean when my user tries to login in just before he checked out it.. gives error massages  as "You are not authorize to see these resurces"

i also posted it at :http://forum.joomla.org/index.php/topic,90379.0.html

  please help me out ..

shardul
 
There is always an another way!!!!!

oegabeest
Joomla! Fledgling
Joomla! Fledgling
Posts: 2
Joined: Wed Aug 30, 2006 11:07 am

Re: Discussion about: Upgrade immediately to Joomla! 1.0.11

Postby oegabeest » Wed Aug 30, 2006 11:14 am

I am getting this Error and can't find out what is wrong!!  :'(

Code: Select all

Parse error: parse error, unexpected T_STRING, expecting ')' in .../includes/joomla.php on line 361


See: http://www.rostami.nl/

can someone help out on this?

User avatar
Tonie
Joomla! Master
Joomla! Master
Posts: 16584
Joined: Thu Aug 18, 2005 7:13 am

Re: Discussion about: Upgrade immediately to Joomla! 1.0.11

Postby Tonie » Wed Aug 30, 2006 11:26 am

Could it be the files in question, or another file got corrupted in transit?

User avatar
Shardul
Joomla! Enthusiast
Joomla! Enthusiast
Posts: 117
Joined: Sun Jul 23, 2006 1:05 am
Location: pune

Re: Discussion about: Upgrade immediately to Joomla! 1.0.11

Postby Shardul » Wed Aug 30, 2006 11:27 am

open the file..

srv/www/htdocs/www.rostami.nl/includes/joomla.php

and just check out the code writen on the line..361

  there must be syntax error .. or file must be currupted while transferring..
  you can rewrite the file..

shardul
There is always an another way!!!!!


Return to “Announcements Discussions”

Who is online

Users browsing this forum: No registered users and 3 guests